> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statistics of member's account

> Get statistics of the member's active account



## OpenAPI

````yaml openapi/bonus-v1.json GET /v1/members/{memberId}/statistics
openapi: 3.0.4
info:
  title: Accounting.Api
  version: v1
servers:
  - url: https://{host}/bonus
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/members/{memberId}/statistics:
    get:
      tags:
        - Service2Service
      summary: Get statistics of member's account
      description: Get statistics of the member's active account
      parameters:
        - name: memberId
          in: path
          description: The id of the member, max length 36
          required: true
          schema:
            maxLength: 36
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Accounting.Api.CQRS.Queries.GetStatistics.Statistics
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
components:
  schemas:
    Accounting.Api.CQRS.Queries.GetStatistics.Statistics:
      required:
        - byMonth
        - byType
        - totalAmount
      type: object
      properties:
        byType:
          type: array
          items:
            $ref: >-
              #/components/schemas/Accounting.Api.CQRS.Queries.GetStatistics.Statistics.GroupedByType
        byMonth:
          type: array
          items:
            $ref: >-
              #/components/schemas/Accounting.Api.CQRS.Queries.GetStatistics.Statistics.GroupedByMonth
        totalAmount:
          $ref: '#/components/schemas/Accounting.Api.CQRS.Dto.MoneyDto'
      additionalProperties: false
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
    Accounting.Api.CQRS.Queries.GetStatistics.Statistics.GroupedByType:
      required:
        - amount
        - bonusType
        - bonusTypeDisplayName
        - percentage
      type: object
      properties:
        bonusType:
          minLength: 1
          type: string
        bonusTypeDisplayName:
          minLength: 1
          type: string
        percentage:
          type: number
          format: double
        amount:
          $ref: '#/components/schemas/Accounting.Api.CQRS.Dto.MoneyDto'
      additionalProperties: false
    Accounting.Api.CQRS.Queries.GetStatistics.Statistics.GroupedByMonth:
      required:
        - amount
        - date
        - percentage
      type: object
      properties:
        date:
          type: string
          format: date-time
        percentage:
          type: number
          format: double
        amount:
          $ref: '#/components/schemas/Accounting.Api.CQRS.Dto.MoneyDto'
      additionalProperties: false
    Accounting.Api.CQRS.Dto.MoneyDto:
      required:
        - currency
        - value
      type: object
      properties:
        currency:
          minLength: 1
          type: string
          description: |-
            Currency code ISO 4217.
            Length 3 chars.
            Examples: DKK, ISK
        value:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````